server:
  port: 8081 
management:
  endpoints:
    web:
      exposure:
        include: health
  endpoint:
    health:
      show-details: always
spring:
  thymeleaf:
    enabled: true
    check-template: true
    check-template-location: true
    prefix: classpath:/static/
    suffix: .html
    mode: HTML
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://<MysqlHostname>:3306/<Database_name>?useUnicode=true&character_set_server=utf8mb4&useSSL=false&allowPublicKeyRetrieval=true
    username: <MysqlUsername>
    password: <MysqlPassword>
    credentialProvider: <aws/azure>
    aws:
      secretregion: <SecretName>
      accessKey: <AccessKey>
      secretkey: <SecretKey>
    azure:
      vaultUrl: <KeyVaultURI>
      tenantId: <TenantID>
      clientId: <ClientID>
      clientSecret: <ClientSecret>
      resource: <ResourceURI>
      dbkeyvault: true
    hikari:
      connection-timeout: 30000
      idle-timeout: 40000
      validation-timeout: 30000
      leak-detection-threshold: 30000
      poolName: gov-app-hikari-mysql-cp
      max-lifetime: 1000000
      data-source-properties:
        cachePrepStmts: true
        prepStmtCacheSize: 250
        prepStmtCacheSqlLimit: 2048
        useServerPrepStmts: true
        useLocalSessionState: true
        rewriteBatchedStatements: true
        cacheResultSetMetadata: true
        cacheServerConfiguration: true
        elideSetAutoCommits: true
        maintainTimeStats: false
  jooq:
    sql-dialect: MYSQL
api:
  version:
    current: /api/v2
    v1: /api/v1
    v2: /api/v2
secureapi:
  version:
    current: /secure-api/v1
    v2: /secure-api/v2
credentials:
  config:
    path: <CredentialsPath>
secret:
  key:
    azure:
      jdbcstring: <gov-app-jdbcurl>
      password: <gov-app-password>
      username: <gov-app-username>
    aws:
      jdbcstring: <gov-app-jdbcurl>
      password: <gov-app-password>
      username: <gov-app-username>
ovaledge:
  url: <ApplicationURL>

